/*
 * SBMS_S25FL127S.h
 @author  Dacian Todea.
 * @email   electrodacus@gmail.com
 * @website http://electrodacus.com
 * @version v0.7
 * @license GNU GPL v3
 */

#ifndef SBMS_S25FL127S_H_
#define SBMS_S25FL127S_H_



#include "stm32f37x.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"
#include "stm32f37x_spi.h"
#include "defines.h"
#include "tm_stm32f4_spi.h"
#include "tm_stm32f4_fonts.h"
#include "tm_stm32f4_gpio.h"



void S25FL127S_Init(void);

void ReadFlash(uint32_t Addr,uint8_t* Fdata,uint16_t Nr);
void WriteFlash(uint8_t Val, uint32_t Addr);
void EraseSector(uint32_t Addr);

#endif /* SBMS_S25FL127S_H_ */
